RDS FOR PostgreSQL 支持原生PostgreSQL 9.4.1版本

dbtest=> select version();
                                                   version                                                   
————————————————————————————————————–
PostgreSQL 9.4.1 on x86_64-unknown-linux-gnu, compiled by gcc (GCC) 4.4.6 20110731 (Red Hat 4.4.6-3), 64-bit
(1 row)

RDS FOR PostgreSQL 支持的PostGIS版本是2.1.7
初始化步骤如下:
1 创建对应的数据库

create database dbtest;

2 在对应数据库下创建需要的插件(部分插件需要当前用户是当前DB的owner)
dbtest=> CREATE EXTENSION postgis;
CREATE EXTENSION
dbtest=> CREATE EXTENSION postgis_topology;
CREATE EXTENSION
dbtest=> CREATE EXTENSION fuzzystrmatch;
CREATE EXTENSION
dbtest=> CREATE EXTENSION postgis_tiger_geocoder;

CREATE EXTENSION

3 插件创建成功,PostGIS的版本如下
dbtest=> dx
                                            List of installed extensions
          Name          | Version |   Schema   |                             Description                             
————————+———+————+———————————————————————
fuzzystrmatch          | 1.0     | public     | determine similarities and distance between strings
postgis                | 2.1.7   | public     | PostGIS geometry, geography, and raster spatial types and functions
postgis_tiger_geocoder | 2.1.7   | tiger      | PostGIS tiger geocoder and reverse geocoder
postgis_topology       | 2.1.7   | topology   | PostGIS topology spatial types and functions

(5 rows)

发表评论

电子邮件地址不会被公开。 必填项已用*标注